on:
  push:
    branches:
      - main

jobs:
  docker:
    runs-on: ubuntu-22.04
    steps:
      # - run: "echo reg: ${{ env.GITHUB_SERVER_URL }}, act: ${{ github.actor }}, sec: ${{ github.token }}"
      - name: Login to Registry
        uses: docker/login-action@v3
        with:
          registry: ${{ env.GITHUB_SERVER_URL }}
          username: ${{ github.actor }}
          password: ${{ secrets.REG_TOKEN }}
      # -
      #   name: Set up QEMU
      #   uses: docker/setup-qemu-action@v3
      - name: Set up Docker Buildx
        uses: docker/setup-buildx-action@v3
      - name: Build and push
        uses: docker/build-push-action@v6
        with:
          push: true
          tags: git.mstar.dev/${{ env.GITHUB_REPOSITORY }}:latest
